package it.inaf.oats.ia2.tap.tsm.model;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author Sonia Zorba <zorba at oats.inaf.it>
 */
public interface IDbEntitiesContainer {

    //public List<IDbEntity> getAdded();
    public ArrayList<String> getAddables();

    //public boolean canAdd();
    public void loadEntities(Connection connection, List<String> selectedEntities) throws SQLException;

    public void addEntity(String name, DbEntity entity);

    public void removeEntity(String name);

    public ArrayList<DbEntity> getAllEntities();

    public DbEntity getSelected();

    public void select(String name);
}
